#ifndef __SEGMENT_DESCRIPTOR__
#define __SEGMENT_DESCRIPTOR__

struct segmentDescriptor
{
	dim3 local_dimensions;
	int3 global_offset;
	
	dim3 active_dimensions;
	dim3 active_offset;

	cudaStream_t stream1,stream2;
	int gpuid;

	cudaEvent_t x_finish, diffusion_finished, rx_finish;
};

typedef struct segmentDescriptor SegmentDescriptor_s;
	
#endif


