#if defined(MACOSX)
#ifndef ___FAKE_BARRIER___
#define ___FAKE_BARRIER___

#include <pthread.h>

struct osx_barrier
{
	int participants;
	int current;
	pthread_mutex_t mutex;
	pthread_cond_t condition;
};
typedef struct osx_barrier pthread_barrier_t;

#define PTHREAD_BARRIER_SERIAL_THREAD 1

int pthread_barrier_init(pthread_barrier_t *b, void *attrs, int count);
int pthread_barrier_wait(pthread_barrier_t *b);

#endif
#endif
