#!/usr/bin/env python

from distutils.core import setup

setup(name="pyLM",
      version="1.0",
      description="A problem solving environment for stochastic biological simulations.",
      long_description="A Python-based problem solving environment for stochastic biological simulations.  See the paper:\nJ.R. Peterson, M.J. Hallock, J.A. Cole, Z. Luthey-Schulten, 'A Problem Solving Environment for Stochastic Biological Problems', PyHPC 2013 at Supercomputing 2013.",
      author="Joseph R. Peterson and Michael J. Hallock",
      author_email="jrptrsn3@illinois.edu",
      url="http://www.scs.illinois.edu/schulten/lm/",
      packages=['pyLM','pySTDLM'])


